Table of Contents

Class: smiles | ../bkchem/oasa/oasa/smiles.py
--- | ---
Base Classes |
--- | ---
plugin
Methods |
--- | ---
__init__ disconnect_something disconnect_something_simple get_smiles get_structure read_smiles recode_oasa_to_smiles_bond set_structure
| __init__
    __init__ ( self,  structure=None )
| disconnect_something
    disconnect_something (
            self,
            mol,
            start_from=None,
            )
returns (broken edge, resulting mol, atom where mol was disconnected, disconnected branch)
Exceptions |
--- | ---
"fuck, how comes!?"
| disconnect_something_simple
    disconnect_something_simple (
            self,
            mol,
            start_from=None,
            )
returns (broken edge, resulting mol, atom where mol was disconnected, disconnected branch)
Exceptions |
--- | ---
"fuck, how comes!?"
| get_smiles
    get_smiles ( self,  mol )
Exceptions |
--- | ---
oasa_exceptions.oasa_not_implemented_error( "SMILES", "Cannot encode disconnected compounds, such as salts etc." )
| get_structure
    get_structure ( self )
| read_smiles
    read_smiles ( self,  text )
| recode_oasa_to_smiles_bond
    recode_oasa_to_smiles_bond ( self,  b )
| set_structure
    set_structure ( self,  structure )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1